#!/bin/bash

# build PyMuPdf dependency file
PYMUPDF_VER=1.23.22
PY_TARGET=311
req2flatpak --requirements pymupdf==${PYMUPDF_VER} pymupdfb==${PYMUPDF_VER} --target-platforms ${PY_TARGET}-x86_64 ${PY_TARGET}-aarch64 --outfile python3-pymupdf.yaml

# build the openlp dependency file - remember to update requirements.txt if needed. Certain devel packages might be needed.
python flatpak-pip-generator  --requirements-file  requirements.txt

# Finally do the build
flatpak-builder --user --install --force-clean openlp-flatpak-builddir org.openlp.OpenLP.yml
